using OptixServe.Core.Models;

namespace OptixServe.Core.Services;

public interface IUserService
{
    IEnumerable<User> GetUsers();
    User? GetUserById(string Id);
}

public class UserService : IUserService
{
    public User? GetUserById(string Id)
    {
        throw new NotImplementedException();
    }

    public IEnumerable<User> GetUsers()
    {
        return [
            new() { Id = "1234", UserName = "xxx", Password = "pass1" },
            new() { Id = "5678", UserName = "yyy", Password = "pass2" }
        ];
    }
}